Subject: Tex changes in the Install Tool
Description

Text changes in the Install Tool based on Issue #51965

Related issues:
related to TYPO3 CMS Usability Team - Feature # 51965: New Install Tool redes... Closed 2013-09-17

History
#1 - 2014-03-11 11:18 - Cynthia Mattingly

Proposed text edit for the no-backend Install Tool: https://redpen.io/ecjmy6

(Compare with: https://redpen.io/xomjry )

#2 - 2014-03-11 11:35 - Cynthia Mattingly

I need error message clarification.

"The content will not be fixed to not override your changes."

This is a very confusing sentence, and I also assume override should be overwrite. I'd like to confirm what actually happens. Is the file overwritten or
not?

Screenshot: https://redpen.io/vcspa2

Edit: is clarified

#3 - 2014-03-11 11:43 - Cynthia Mattingly

I need clarification on the current process for this text

"Import basic database structure and create a backend administrator user. The password can be used to log in to the install tool and to the TYPO3
CMS backend (default: with username "admin").

The table import will drop possibly existing tables!"

( https://redpen.io/vspngz )

1) The note says to highlight the behavior that is different from the old version. I'd suggest bolding "install tool" and "TYPO3 CMS backend" and will do
so for now.
2) "The table import will drop possibly existing tables" -- this only applies to tables that the TYPO3 database needs, I assume? So something like
"Existing tables needed by TYPO3 will be overwritten!" might be clearer. Or does it actually drop other tables??
#4 - 2014-03-11 14:27 - Cynthia Mattingly

Slight rewrite of the Install Tool last screen: https://redpen.io/k2eqs9

Update after the screenshot: "You now have an empty installation. If you want a pre-configured site, there are        distributions on the web which can
be installed via the Extension Manager.        If you check the option below, the list of distributions will be fetched and you will        be able to choose
one directly."

#5 - 2014-03-11 14:54 - Cynthia Mattingly

Slight rewrite of the Install Tool locked screen (in Backend): https://redpen.io/tkw2op

#6 - 2014-03-11 15:17 - Cynthia Mattingly

In the Install Tool login screen: https://redpen.io/ndhyvf

The first paragraph has been changed to reflect the new TYPO3 6.2 behavior:

"By default the install tool password is the one specified during the install. Be sure to change it! "

But is this completely right? Why would I need to change it if I just set it?

#7 - 2014-03-11 15:31 - Cynthia Mattingly

Added password warning info to the install tool login https://redpen.io/t2bwj3

#8 - 2014-03-12 09:11 - Cynthia Mattingly

Reworded the top part of the install tool welcome screen: https://redpen.io/cdk49j

#9 - 2014-03-12 10:28 - Cynthia Mattingly

Reworded the configuration preset info for development / production settings:

Before:
TYPO3 can be run in a specific application context by using one of the
built-in contexts "Production" (default), "Development" or "Testing".
This can be used to provide specific configuration sets for each context.
The context can be defined with the environment variable "TYPO3_CONTEXT" 
which is usually set through your webserver configuration (e.g. in htaccess).

After:
TYPO3 can be run in a specific application context by using the environment
variable "TYPO3_CONTEXT", which is usually set in your webserver configuration
(e.g. in htaccess). Built-in contexts are "Production" (default), "Development" 
or "Testing". This can be used to provide specific configuration sets for each context.
#10 - 2014-03-12 11:18 - Ernesto Baschny

Cynthia Mattingly wrote:

"Import basic database structure and create a backend administrator user. The password can be used to log in to the install tool and to the TYPO3
CMS backend (default: with username "admin").

The table import will drop possibly existing tables!"

( https://redpen.io/vspngz )

1) The note says to highlight the behavior that is different from the old version. I'd suggest bolding "install tool" and "TYPO3 CMS backend" and
will do so for now.

Yes, that would be ok.

2) "The table import will drop possibly existing tables" -- this only applies to tables that the TYPO3 database needs, I assume? So something like
"Existing tables needed by TYPO3 will be overwritten!" might be clearer. Or does it actually drop other tables??

Actually in the step where you select the "database", you can only select databases which are EMPTY, so this information is obsolete and not relevant
anymore.

#11 - 2014-03-12 11:19 - Ernesto Baschny

Cynthia Mattingly wrote:

In the Install Tool login screen: https://redpen.io/ndhyvf

The first paragraph has been changed to reflect the new TYPO3 6.2 behavior:

"By default the install tool password is the one specified during the install. Be sure to change it! "

But is this completely right? Why would I need to change it if I just set it?

Yes, true, no need to change it.

#12 - 2014-03-12 11:22 - Gerrit Code Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28287

#13 - 2014-03-12 11:29 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28287
#14 - 2014-04-02 13:40 - Georg Ringer

resolved

#15 - 2015-07-16 02:03 - Benjamin Mack
- Status changed from New to Resolved
